Skip to main content
`Ctrl`+`K`

# ISStrideGetInfo

Returns the first index in a stride index set and the stride width from an `IS` of `ISType` `ISSTRIDE`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISStrideGetInfo(IS is, PetscInt *first, PetscInt *step)

Not Collective

## Input Parameter

- is - the index set

## Output Parameters

- first - the first index

- step - the stride width

## See Also

Low-level Vector Communication, `IS`, `ISCreateStride()`, `ISGetSize()`, `ISSTRIDE`

## Level

intermediate

## Location

src/vec/is/is/impls/stride/stride.c

## Examples

src/vec/is/is/tutorials/ex2f.F90
src/vec/is/is/tutorials/ex2.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages